package com.njcn.supervision.service.survey;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.njcn.bpm.pojo.param.instance.BpmProcessInstanceCancelParam;
import com.njcn.bpm.service.IBpmService;
import com.njcn.supervision.pojo.param.survey.SurveyPlanParam;
import com.njcn.supervision.pojo.po.survey.SurveyPlan;
import com.njcn.supervision.pojo.vo.survey.SurveyPlanVO;

import java.util.List;

/**
 * <p>
 * 普测计划流程表 服务类
 * </p>
 *
 * @author hongawen
 * @since 2024-05-30
 */
public interface ISurveyPlanService extends IBpmService<SurveyPlan> {

    Page<SurveyPlanVO> surveyPlanPage(SurveyPlanParam.SurveyPlanQueryParam surveyPlanQueryParam);

    String addSurveyPlan(SurveyPlanParam surveyPlanParam);

    String updateSurveyPlan(SurveyPlanParam.SurveyPlanUpdateParam surveyPlanUpdateParam);

    String cancelSurveyPlan(BpmProcessInstanceCancelParam cancelReqVO);

    SurveyPlanVO getVOById(String id);

    Boolean deleteSurveyPlan(List<String> supervisionId);
}
